require "util"
require "defines"

script.on_event(defines.events.on_tick,  function (event) onTick(event) end)

function onTick(event)
	if event.tick == 10 then
		global.deployed_unit = game.surfaces.nauvis.create_entity{name="trigger-entity", position={0,0},force=game.forces.player}
	end
end

script.on_event({defines.events.on_built_entity, defines.events.on_robot_built_entity}, function(event) on_built_entity(event) end)


function on_built_entity( event )
	local entity = event.created_entity
	global.deployed_unit.set_command{type=defines.command.attack, target=entity, distraction=defines.distraction.none}
end



script.on_event(defines.events.on_trigger_created_entity, function(event) on_trigger_created_entity(event) end)

function on_trigger_created_entity( event )
	game.player.print("on_trigger_created_entity")
end


script.on_event(defines.events.on_player_created,  function (event) startingItems(game.get_player(event.player_index)) end)

function startingItems(player)
  player.insert{name="car", count=1}
end
